Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaqtl.main
Class CmdLineParser.UnknownSuboptionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.metaqtl.main.CmdLineParser.OptionException
                  org.metaqtl.main.CmdLineParser.UnknownOptionException
                      org.metaqtl.main.CmdLineParser.UnknownSuboptionException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  CmdLineParser

    public static class CmdLineParser.UnknownSuboptionException

extends CmdLineParser.UnknownOptionException

Thrown when the parsed commandline contains multiple concatenated short options, such as -abcd, where one is unknown. `getMessage()` returns an english human-readable error string.

Author:
  Vidar Holen
See Also:
  Serialized Form

Constructor Summary
`CmdLineParser.UnknownSuboptionException(java.lang.String option, char suboption)`

Method Summary
`char` | `getSuboption()`

Methods inherited from class org.metaqtl.main.CmdLineParser.UnknownOptionException
`getOptionName`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CmdLineParser.UnknownSuboptionException

    CmdLineParser.UnknownSuboptionException(java.lang.String option,
                                            char suboption)

Method Detail

### getSuboption

    public char getSuboption()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD